#!/usr/bin/env node

const program = require('commander')
const src = require('../src')

program
  .option('-s, --subdomain <subdomain>', 'set subdomain')
  .option('-t, --token <token>', 'set login token')
  .parse(process.argv)

// console.log('program:', program)
// console.log('subdomain:', program.subdomain)
// console.log('token:', program.token)
// console.log('args:', program.args)

let dirPath = program.args[0] || '.'
let token = program.token

if (!program.subdomain) {
  console.log(' ')
  console.log('  Must set subdomain!')
  console.log(' ')
  console.log('  Example: aco deploy --subdomain demo')
  console.log(' ')
  return
}

if (!token) {
  token = src.loadConfig().token
}
src.deploy(token, dirPath, program.subdomain)
